Subject: bug#18195: 24.3.92; window-screen-lines is not accurate

From: Dmitry <[email-masked]>
Date: Tue, 05 Aug 2014 06:00:24 +0400

If I have line-spacing set, the value the above function returns is
smaller than the actuall number of screen lines the window can contain.

For example, when I have the current Emacs frame maximized and
line-spacing set to 0.2, (window-screen-lines) returns 46.66(6), whereas
there are 48 fully-visible lines in the given window and one
partially-visible one.

Here's my default font:

  (set-face-attribute 'default nil :height 105 :family "Fira Mono")

Related:
http://lists.gnu.org/archive/html/help-gnu-emacs/2014-08/msg00026.html

In GNU Emacs 24.3.92.3 (x86_64-unknown-linux-gnu, GTK+ Version 3.10.8)
 of 2014-07-24 on axl
Repository revision: 117398 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11501000
System Description:	Ubuntu 14.04.1 LTS